MAPITests 2.0 API Documentation

- Main Page
- Related Pages
- Data Structures
- Files

- File List
- Globals

Functions
module_oxcstor.c File Reference

Store Object Protocol test suite. More...

`#include "libmapi/libmapi_private.h"`

## Functions
bool | mapitest_oxcstor_GetOwningServers (struct mapitest *mt)
bool | mapitest_oxcstor_GetReceiveFolder (struct mapitest *mt)
bool | mapitest_oxcstor_GetReceiveFolderTable (struct mapitest *mt)
bool | mapitest_oxcstor_GetStoreState (struct mapitest *mt)
bool | mapitest_oxcstor_IsMailboxFolder (struct mapitest *mt)
bool | mapitest_oxcstor_Logon (struct mapitest *mt)
bool | mapitest_oxcstor_LongTermId (struct mapitest *mt)
bool | mapitest_oxcstor_PublicFolderIsGhosted (struct mapitest *mt)
bool | mapitest_oxcstor_SetReceiveFolder (struct mapitest *mt)

## Detailed Description

Store Object Protocol test suite.

## Function Documentation

bool mapitest_oxcstor_GetOwningServers | ( | struct mapitest * | mt | ) |

Test the GetOwningServers (0x42) operation

This function:

1. Log on the public folders store
2. Open a public folder
3. Call the GetOwningServers operation

Parameters

  mt | the top-level mapitest structure

Returns
  true on success, otherwise false

References mapitest_print(), and mapitest_print_retval().

bool mapitest_oxcstor_GetReceiveFolder | ( | struct mapitest * | mt | ) |

Test the GetReceiveFolder (0x27) operation

This function:

1. Log on the user private mailbox
2. Call the GetReceiveFolder operation
3. Call the GetReceiveFolder with different explicit message class values

Parameters

  mt | the top-level mapitest structure

Returns
  true on success, otherwise false

References mapitest_print(), and mapitest_print_retval_clean().

bool mapitest_oxcstor_GetReceiveFolderTable | ( | struct mapitest * | mt | ) |

Test the GetReceiveFolderTable (0x68) operation

This function:

1. Log on the user private mailbox
2. Call the GetReceiveFolderTable operation

Parameters

  mt | the top-level mapitest structure

Returns
  true on success, otherwise false

References mapitest_print_retval(), and mapitest_print_SRowSet().

bool mapitest_oxcstor_GetStoreState | ( | struct mapitest * | mt | ) |

Test the GetStoreState (0x7b) operation

This function:

1. Logs into the user private mailbox
2. Retrieve the store state

Parameters

  mt | pointer on the top-level mapitest structure

Returns
  true on success, otherwise false

References mapitest_print_retval().

bool mapitest_oxcstor_IsMailboxFolder | ( | struct mapitest * | mt | ) |

Test the IsMailboxFolder convenience function

This function:

1. Logs into the user private mailbox

Parameters

  mt | pointer on the top-level mapitest structure

Returns
  true on success, otherwise false

References mapitest_print(), and mapitest_print_retval().

bool mapitest_oxcstor_Logon | ( | struct mapitest * | mt | ) |

Test the Logon (0xFE) operation

This function:

1. Log on the user private mailbox
2. Log on the public folder store

Parameters

  mt | pointer on the top-level mapitest structure

Returns
  true on success, otherwise false

References mapitest_print_retval().

bool mapitest_oxcstor_LongTermId | ( | struct mapitest * | mt | ) |

Test the LongTermIdFromId (0x43) and IdFromLongTermId (0x44) operations

This function:

1. Logs into the user private mailbox
2. Open the Receive Folder
3. Looks up the long term id for the receive folder FID
4. Looks up the short term id for the long term id
5. Checks the id matches the original FID

Parameters

  mt | pointer on the top-level mapitest structure

Returns
  true on success, otherwise false

References mapitest_print(), and mapitest_print_retval().

bool mapitest_oxcstor_PublicFolderIsGhosted | ( | struct mapitest * | mt | ) |

Test the PublicFolderIsGhosted (0x45) operation

This function:

1. Log on the public folders store
2. Open a public folder
3. Call the PublicFolderIsGhosted operation

Parameters

  mt | the top-level mapitest structure

Returns
  true on success, otherwise false

References mapitest_print(), and mapitest_print_retval().

bool mapitest_oxcstor_SetReceiveFolder | ( | struct mapitest * | mt | ) |

Test the SetReceiveFolder (0x26) operation

This function:

1. Log on the user private mailbox
2. Call the SetReceiveFolder operations
3. Clean up

Parameters

  mt | the top-level mapitest structure

Returns
  true on success, otherwise false

References mapitest_print_retval_step(), and mapitest_print_retval_step_fmt().

| This content is licensed under the Creative Commons Attribution ShareAlike License v. 3.0: http://creativecommons.org/licenses/by-sa/3.0/